Post by RaulBiondo » Thu Dec 03, 2020 10:45 pm

Hi guys, hope everyone is keeping well during these hard times. I want to start to work with opencart, and I wonder if could someone recommend a version me to download. Eventually, the latest one isn't very stable yet so I don't mind to download some of the previous if its best recommended. Any inputs are welcome! Thanks

Newbie

Posts

Joined
Thu Dec 03, 2020 6:24 pm

Post by IP_CAM » Fri Dec 04, 2020 12:54 am

Well, it depends on what you expect, and on how much you know
about installing a comprehensive package of Onlineshop Code. :D
And if you don't want to belong to the OC Testers, you might decide
on an older Version, already known to work. In addition to the Fact,
that for older OC-Versions, a rather comprehensive assortment of
Extensions already exists.
Here, you'll find OpenCart v.1.5.6.5, as well as updated OC v.2.3.0.2
Editions, both updated to latest Knowledge and Specs, if you don't
plan, to find out, which one of the latest OC Version releases could
eventually meet your requirements:
https://github.com/IP-CAM
Good Luck! ;)
Ernie

Please don't send me OC Forum Personal Messages, just contact: jti@jacob.ch
---
OC 1.5.6.5 LIGHT Test Site: http://www.bigmax.ch/shop/
OC 1.5.6.5 V-PRO Test Site: http://www.openshop.li/shop/
My Github OC Site: https://github.com/IP-CAM
2'800+ FREE OC Extensions on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by OSWorX » Fri Dec 04, 2020 1:28 am

If you want a quite stable version, use either 2.3.0.2 or 3.0.3.2
https://www.opencart.com/index.php?rout ... ad/history
With them all bugs are known and fixes available.

And as Ernie mentioned, you could use also the very old 1.5.6.5 version (which is a not official bugfree 1.5.6.4 release).
But if you really want to use that version (I would not), follow Ernies recommandations!

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by IP_CAM » Sat Dec 05, 2020 3:44 am

Well, it belongs to the very few OC Versions, still working up to PHP v.7.4.13,
one could easy afford, to use it, until PHP v.8.x is established at the Scene, and PHP v.7.4.x
passes out. :laugh: Wich is not the case, as it looks, by use of much later OC Versions yet ... :crazy:
Ernie

Please don't send me OC Forum Personal Messages, just contact: jti@jacob.ch
---
OC 1.5.6.5 LIGHT Test Site: http://www.bigmax.ch/shop/
OC 1.5.6.5 V-PRO Test Site: http://www.openshop.li/shop/
My Github OC Site: https://github.com/IP-CAM
2'800+ FREE OC Extensions on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by dragonfly-ie » Sat Dec 05, 2020 4:53 am

Still running php7.2 which works fine with OC v2.2.
Anybody tested php 7.3, 7.4 or even 8.0 with OC Version 2.2.0.0? Much appreciated.

Never change a running system , but my provider is going to charge extra for using older php versions ... ? :joker:

“May the best day of your past be the worst day of your future.”


User avatar
New member

Posts

Joined
Sat Nov 09, 2013 2:31 am
Location - 52°N 7°37'W

Post by IP_CAM » Sat Dec 05, 2020 5:28 am

They should all work with OC v.2.x, to make PHP 7.4.x work:
viewtopic.php?f=181&t=199924&p=804581#p804581

Please don't send me OC Forum Personal Messages, just contact: jti@jacob.ch
---
OC 1.5.6.5 LIGHT Test Site: http://www.bigmax.ch/shop/
OC 1.5.6.5 V-PRO Test Site: http://www.openshop.li/shop/
My Github OC Site: https://github.com/IP-CAM
2'800+ FREE OC Extensions on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by EvolveWebHosting » Mon Dec 07, 2020 3:33 am

dragonfly-ie wrote:
Sat Dec 05, 2020 4:53 am
Still running php7.2 which works fine with OC v2.2.
Anybody tested php 7.3, 7.4 or even 8.0 with OC Version 2.2.0.0? Much appreciated.

Never change a running system , but my provider is going to charge extra for using older php versions ... ? :joker:
I do not think 2.2.0.0 will run anything higher than PHP 7.2 and that is EOL (end of life). https://www.php.net/supported-versions.php

I would suggest upgrading to the 3.x version to remain compliant with PHP supported versions.

Image
50% Off SSD Shared Hosting w/ cPanel
Detailed guide on how to install Opencart


User avatar
Active Member

Posts

Joined
Fri Mar 27, 2015 11:13 pm
Location - Denver, Colorado, USA

Post by petergibbel » Wed Dec 16, 2020 2:45 pm

It belongs to OC Versions and still works up to PHP v.7.4.13.

run 3


Newbie

Posts

Joined
Wed Dec 16, 2020 2:42 pm

Post by EvolveWebHosting » Fri Jan 15, 2021 11:41 am

dragonfly-ie wrote:
Sat Dec 05, 2020 4:53 am
Still running php7.2 which works fine with OC v2.2.
Anybody tested php 7.3, 7.4 or even 8.0 with OC Version 2.2.0.0? Much appreciated.

Never change a running system , but my provider is going to charge extra for using older php versions ... ? :joker:
I am curious which provider is going to charge extra to use older versions of PHP. Mind sharing?

Image
50% Off SSD Shared Hosting w/ cPanel
Detailed guide on how to install Opencart


User avatar
Active Member

Posts

Joined
Fri Mar 27, 2015 11:13 pm
Location - Denver, Colorado, USA

Post by IP_CAM » Fri Jan 15, 2021 4:36 pm

I would suggest upgrading to the 3.x version to remain compliant with PHP supported versions
Well, latest OC v.3.x Versions still seem to have some Problems with PHP v.7.4.x as well.
It's mainly a new /system/library/encryption.php File, required, to fix that Problem.
And in most cases, older OC Versions just need to get one of those Files, to make
their OC work again, like, in my case, v.1.5.6.x, up to latest PHP v.7.4.13:
Updating PHP version would affect the opencart site?
viewtopic.php?f=181&t=199924&p=804581#p804581

Please don't send me OC Forum Personal Messages, just contact: jti@jacob.ch
---
OC 1.5.6.5 LIGHT Test Site: http://www.bigmax.ch/shop/
OC 1.5.6.5 V-PRO Test Site: http://www.openshop.li/shop/
My Github OC Site: https://github.com/IP-CAM
2'800+ FREE OC Extensions on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by EvolveWebHosting » Fri Jan 15, 2021 10:57 pm

IP_CAM wrote:
Fri Jan 15, 2021 4:36 pm
I would suggest upgrading to the 3.x version to remain compliant with PHP supported versions
Well, latest OC v.3.x Versions still seem to have some Problems with PHP v.7.4.x as well.
It's mainly a new /system/library/encryption.php File, required, to fix that Problem.
And in most cases, older OC Versions just need to get one of those Files, to make
their OC work again, like, in my case, v.1.5.6.x, up to latest PHP v.7.4.13:
Updating PHP version would affect the opencart site?
viewtopic.php?f=181&t=199924&p=804581#p804581
PHP 7.3 should work without any issues for OC 3.x versions. 7.3 is actively supported until Dec 6, 2021
https://www.php.net/supported-versions.php

I haven't tried 7.4 but I wouldn't think that it would be that difficult to make it compatible. PHP 8 is a different story. It's easy enough to switch PHP versions and test and users can revert to 7.3 if there is any issue.

Image
50% Off SSD Shared Hosting w/ cPanel
Detailed guide on how to install Opencart


User avatar
Active Member

Posts

Joined
Fri Mar 27, 2015 11:13 pm
Location - Denver, Colorado, USA
Who is online

Users browsing this forum: No registered users and 22 guests